# Arduino MOTIX™ BTN99x0

Arduino library of Infineon's **MOTIX™ BTN99X0 DC motor control shield**

## Supported Product

<table>
    <tr>
        <td><img src="docs/img/btn99x0_shield.png" width="200"></td>
        <td><img src="docs/img/btn99x0_chip.png" width="200"></td>
        <td><img src="docs/img/btn99x0_chip.png" width="200"></td>
    </tr>
    <tr>
        <td style="test-align : center"><a href="https://arduino-motix-btn99x0.readthedocs.io/en/latest/hw-platforms.html">BTN9970/BTN9990 Motor control shield</a></td>
        <td style="test-align : center"><a href="https://arduino-motix-btn99x0.readthedocs.io/en/latest/hw-platforms.html">BTN9970LV </a></td>
        <td style="test-align : center"><a href="https://arduino-motix-btn99x0.readthedocs.io/en/latest/hw-platforms.html">BTN9990LV </a></td>
    </tr>
</table>


### Supported Frameworks

The library should be supported by any Arduino platform based on the reference Arduino cores.

Check in this [link](https://arduino-motix-btn99x0.readthedocs.io/en/latest/hw-platforms.html) the already verified (at least successfully built) platforms.

### More Information

The complete documentation of the library as well as detailed information about the MOTIX BTN99x0 can be found in the [Wiki](https://arduino-motix-btn99x0.readthedocs.io/en/latest/index.html).

### Getting Started

Find a getting started tutorial based on the  BTN9970/BTN9990 motor control shield and XMC1100 Boot Kit in this [link](https://arduino-motix-btn99x0.readthedocs.io/en/latest/getting-started.html)

### Library Installation

Look for ```motix-btn99x0``` in the Arduino library manager.

other installation alternatives here: [Arduino library installation](https://arduino-motix-btn99x0.readthedocs.io/en/latest/lib-install.html)

### More Information

* <a href="https://arduino-motix-btn99x0.readthedocs.io/en/latest/examples.html">Examples</a><br>
* <a href="https://arduino-motix-btn99x0.readthedocs.io/en/latest/api-ref.html">Arduino API</a><br>

### License

See the [LICENSE](LICENSE.md) file for more details.


